#ifndef WAVES
#define WAVES

#include <GL4D/gl4duw_SDL2.h>
#include "point3d.hpp"
#include <vector>
#include <iostream>

#define PWSP 4.5f // Pos waves speed

struct PosWaves{
	GLfloat x;
	GLfloat y;
	GLfloat tStart;
	GLfloat wl;

	PosWaves(GLfloat vx = 0.0, GLfloat vy = 0.0, GLfloat vts = 0.0,
			 GLfloat vwl = 0.0): x{vx}, y{vy}, tStart{vts}, wl{vwl} {};

	bool cmpPosWaves(const Point3d& other);

	int update(const Point3d& other, double el, float);

	int checkErase(double el);
	
	void print();
};


#endif
